VARKON Version 1.15 1997-10-24

> ## sur_ruled - Geometric procedure

> Creates a surface
> Description
> Creates a ruled surface by connecting consecutive positions from two lines, arcs or curves with straight lines (rulers).
> Syntax
> sur_ruled(id, curve1, curve2, reverse, par:attributes);

> REF | id;
> REF | curve1;
> REF | curve2;
> INT | reverse;
> INT | par;

> Principal parameters

> id | - Local identity
> curve1 | - Identity of first line, arc or curve
> curve2 | - Identity of second line, arc or curve

> Optional parameters

> reverse | - Controls the parametric directions of the resulting surface
> | 1 = No reversal of input (default)
> | -1 = Both input curves (U-direction) are reversed
> | 2 = Input curves change place (V-direction)
> | 3 = Input curves are reversed and change place
> par | - Controls the type of parametrisation
> | 1 = Arc length parametrisation (default)

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> SDASHL | - Dashlength

> Example
> sur_ruled(#3, #1, #2);
> Creates a ruled surface connecting #1 with #2
> Comments
> The parameter of the curves becomes the U-direction of the surface and V goes from curve1 to curve2. The optional "reverse" parameter can be used to alter this.

VARKON Homepage | Index